summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-cdr/cdlabelgen
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-cdr/cdlabelgen')
-rw-r--r--app-cdr/cdlabelgen/Manifest2
-rw-r--r--app-cdr/cdlabelgen/cdlabelgen-4.0.0.ebuild26
-rw-r--r--app-cdr/cdlabelgen/cdlabelgen-4.1.0.ebuild28
-rw-r--r--app-cdr/cdlabelgen/files/4.0.0-create-MAN_DIR.diff18
-rw-r--r--app-cdr/cdlabelgen/metadata.xml5
5 files changed, 79 insertions, 0 deletions
diff --git a/app-cdr/cdlabelgen/Manifest b/app-cdr/cdlabelgen/Manifest
new file mode 100644
index 00000000000..b8258b5a0fd
--- /dev/null
+++ b/app-cdr/cdlabelgen/Manifest
@@ -0,0 +1,2 @@
+DIST cdlabelgen-4.0.0.tgz 191251 SHA256 ead5392a4310b8f7a3b6ff36a9d9934563dcd354f12d4b25e70f17644c2dd393 SHA512 a1b92f3c3f3b012003f42eaea111fc7802098833937459e6287cc98aa9b4338ee1cb2e10e3e6c821e7edbd1ab57bb22ec2f644c8e2fe9a152788374507876c9b WHIRLPOOL acbb42904c0037e8e6df90bd01e2baee3f3a3228c16f440799c4abe6f46581bc648e7f55a80d35382b24d8acd12a30b96731596023fc4a4d5aad79792b073a2c
+DIST cdlabelgen-4.1.0.tgz 193423 SHA256 d3217af8eccb8e94863389d321c4901e7cf7dd5fadf263bde9cb8078870ddc3b SHA512 12dbef9df24d6eb060fe0fca3d24cd91bf2ae0fe4f2e68d1e7a78b5980ae0111dd087ec23b6b2ff8adeff9bb49c0a41284dcb99505d6f25b96b0e718b437b1b9 WHIRLPOOL 26a1614cb0104dcd78ae6f75810eaa6f83eec22f6848470849e1d0e988c5d919715a42208b05ee47dfeac2ffdbe37631637ad96aef2e845aa25817864c4c3570
diff --git a/app-cdr/cdlabelgen/cdlabelgen-4.0.0.ebuild b/app-cdr/cdlabelgen/cdlabelgen-4.0.0.ebuild
new file mode 100644
index 00000000000..753c07f41f5
--- /dev/null
+++ b/app-cdr/cdlabelgen/cdlabelgen-4.0.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils
+
+DESCRIPTION="CD cover, tray card and envelope generator"
+HOMEPAGE="http://www.aczoom.com/tools/cdinsert"
+SRC_URI="http://www.aczoom.com/pub/tools/${P}.tgz"
+LICENSE="aczoom"
+SLOT="0"
+KEYWORDS="amd64 ppc sparc x86"
+IUSE=""
+
+RDEPEND="dev-lang/perl"
+
+src_unpack() {
+ unpack ${A}
+ epatch "${FILESDIR}"/${PV}-create-MAN_DIR.diff
+}
+
+src_install() {
+ emake install BASE_DIR="${D}"/usr || die "emake failed"
+ dodoc ChangeLog README INSTALL.WEB cdinsert.pl || die "dodoc failed."
+ dohtml *.html || die "dohtml failed."
+}
diff --git a/app-cdr/cdlabelgen/cdlabelgen-4.1.0.ebuild b/app-cdr/cdlabelgen/cdlabelgen-4.1.0.ebuild
new file mode 100644
index 00000000000..902f7f370ad
--- /dev/null
+++ b/app-cdr/cdlabelgen/cdlabelgen-4.1.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+inherit eutils
+
+DESCRIPTION="CD cover, tray card and envelope generator"
+HOMEPAGE="http://www.aczoom.com/tools/cdinsert"
+SRC_URI="http://www.aczoom.com/pub/tools/${P}.tgz"
+
+LICENSE="aczoom"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE=""
+
+RDEPEND="dev-lang/perl"
+DEPEND=""
+
+src_prepare() {
+ epatch "${FILESDIR}"/4.0.0-create-MAN_DIR.diff
+}
+
+src_install() {
+ emake BASE_DIR="${D}"/usr install || die "emake install failed"
+ dodoc cdinsert.pl ChangeLog INSTALL.WEB
+ dohtml *.html
+}
diff --git a/app-cdr/cdlabelgen/files/4.0.0-create-MAN_DIR.diff b/app-cdr/cdlabelgen/files/4.0.0-create-MAN_DIR.diff
new file mode 100644
index 00000000000..54191b2dddd
--- /dev/null
+++ b/app-cdr/cdlabelgen/files/4.0.0-create-MAN_DIR.diff
@@ -0,0 +1,18 @@
+diff -Naur cdlabelgen-4.0.0.orig/Makefile cdlabelgen-4.0.0/Makefile
+--- cdlabelgen-4.0.0.orig/Makefile 2007-12-16 16:17:22.000000000 +0100
++++ cdlabelgen-4.0.0/Makefile 2007-12-16 16:18:10.000000000 +0100
+@@ -45,13 +45,13 @@
+ @echo ""
+ $(INSTALL_DIR) $(BIN_DIR)
+ $(INSTALL) cdlabelgen $(BIN_DIR)
++ $(INSTALL_DIR) $(MAN_DIR)/man1
+ $(INSTALL_FILE) cdlabelgen.1 $(MAN_DIR)/man1
+ $(INSTALL_DIR) $(LIB_DIR)
+ set -e; \
+ for file in $(POSTSCRIPT); do \
+ $(INSTALL_FILE) postscript/$$file $(LIB_DIR)/; \
+ done
+- @echo "** Done. Check $(BIN_DIR)/cdlabelgen and fix @where_is_the_template - if needed!"
+
+ cdlabelgen-$(VERSION).spec: spec.template
+ sed -e "s/TAG_VERSION/$(VERSION)/" < $? > $@
diff --git a/app-cdr/cdlabelgen/metadata.xml b/app-cdr/cdlabelgen/metadata.xml
new file mode 100644
index 00000000000..bb93fa2613e
--- /dev/null
+++ b/app-cdr/cdlabelgen/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>media-optical</herd>
+</pkgmetadata>